ChineseFilter (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.cn.ChineseFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.cn
Class ChineseFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.cn.ChineseFilter

    public final class ChineseFilter

extends TokenFilter

Title: ChineseFilter Description: Filter with a stop word table Rule: No digital is allowed. English word/token should larger than 1 character. One Chinese character as one Chinese word. TO DO: 1. Add Chinese stop words, such as  2. Dictionary based Chinese word extraction 3. Intelligent Chinese word extraction Copyright: Copyright (c) 2001 Company:

Version:
  1.0

Field Summary
`static String[]` | `STOP_WORDS`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`ChineseFilter(TokenStream in)`

Method Summary
`Token` | `next(Token reusableToken)`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STOP_WORDS

    public static final String[] STOP_WORDS

Constructor Detail

### ChineseFilter

    public ChineseFilter(TokenStream in)

Method Detail

### next

    public final Token next(Token reusableToken)
                     throws IOException

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.